## gedit-encodings

gedit-encodings —

## Synopsis

                GeditEncoding;
    #define     GEDIT_TYPE_ENCODING
    GType       gedit_encoding_get_type         (void);
    GeditEncoding* gedit_encoding_copy          (const GeditEncoding *enc);
    void        gedit_encoding_free             (GeditEncoding *enc);
    const GeditEncoding* gedit_encoding_get_from_charset
                                                (const gchar *charset);
    const GeditEncoding* gedit_encoding_get_from_index
                                                (gint index);
    gchar*      gedit_encoding_to_string        (const GeditEncoding *enc);
    const gchar* gedit_encoding_get_name        (const GeditEncoding *enc);
    const gchar* gedit_encoding_get_charset     (const GeditEncoding *enc);
    const GeditEncoding* gedit_encoding_get_utf8
                                                (void);
    const GeditEncoding* gedit_encoding_get_current
                                                (void);

## Description

## Details

### GeditEncoding

    typedef struct _GeditEncoding GeditEncoding;

### GEDIT_TYPE_ENCODING

    #define GEDIT_TYPE_ENCODING     (gedit_encoding_get_type ())

### gedit_encoding_get_type ()

    GType       gedit_encoding_get_type         (void);

Retrieves the GType object which is associated with the GeditEncoding class.

Returns : | the GType associated with GeditEncoding.

### gedit_encoding_copy ()

    GeditEncoding* gedit_encoding_copy          (const GeditEncoding *enc);

Makes a copy of the given encoding. This function is used by language bindings.

`enc` : | a GeditEncoding.
Returns : | a new GeditEncoding.

### gedit_encoding_free ()

    void        gedit_encoding_free             (GeditEncoding *enc);

Frees the resources allocated by the given encoding. This function is used by language bindings.

`enc` : | a GeditEncoding.

### gedit_encoding_get_from_charset ()

    const GeditEncoding* gedit_encoding_get_from_charset
                                                (const gchar *charset);

`charset` : |
Returns : |

### gedit_encoding_get_from_index ()

    const GeditEncoding* gedit_encoding_get_from_index
                                                (gint index);

`index` : |
Returns : |

### gedit_encoding_to_string ()

    gchar*      gedit_encoding_to_string        (const GeditEncoding *enc);

`enc` : |
Returns : |

### gedit_encoding_get_name ()

    const gchar* gedit_encoding_get_name        (const GeditEncoding *enc);

`enc` : |
Returns : |

### gedit_encoding_get_charset ()

    const gchar* gedit_encoding_get_charset     (const GeditEncoding *enc);

`enc` : |
Returns : |

### gedit_encoding_get_utf8 ()

    const GeditEncoding* gedit_encoding_get_utf8
                                                (void);

Returns : |

### gedit_encoding_get_current ()

    const GeditEncoding* gedit_encoding_get_current
                                                (void);

Returns : |